Name: 		perl-HTTP-Server-Simple-Mason
Version: 	0.09
Release: 	5%{?dist}
Summary:	HTTP::Server::Simple::Mason Perl module
License:	GPL or Artistic
Group:		Development/Libraries
URL: 		http://search.cpan.org/dist/HTTP-Server-Simple-Mason/
Source: 	http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/HTTP-Server-Simple-Mason-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: noarch

BuildRequires:	perl(HTML::Mason) >= 1.25
BuildRequires:	perl(HTTP::Server::Simple) >= 0.04
BuildRequires:	perl(Hook::LexWrap)

# Required by the tests
BuildRequires: 	perl(Test::Pod) >= 1.14
BuildRequires: 	perl(Test::Pod::Coverage) >= 1.04

# Improved tests (dynamic requirement of HTML::Mason)
BuildRequires: 	perl(LWP::Simple)

Requires:	perl(HTTP::Server::Simple::CGI)

%description
An abstract baseclass for a standalone mason server

%prep
%setup -q -n HTTP-Server-Simple-Mason-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes ex
%{perl_vendorlib}/HTTP
%{_mandir}/man3/*

%changelog
* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 0.09-5
- Mass rebuild.

* Mon Feb 20 2006 Ralf Corsépius <rc040203@freenet.de> - 0.09-4
- Rebuild.

* Wed Oct 12 2005 Ralf Corsepius <rc040203@freenet.de> - 0.09-3
- Spec cleanup.

* Sun Oct 09 2005 Ralf Corsepius <rc040203@freenet.de> - 0.09-2
- Fix Source0.
- Add BR: perl(HTTP::Server::Simple::CGI).
- Ship ex/.

* Tue Sep 13 2005 Ralf Corsepius <ralf@links2linux.de> - 0.09-1
- BR: Test::Pod.

* Sun Sep 04 2005 Ralf Corsepius <ralf@links2linux.de> - 0.09-0
- Update.
